%define upstream_name    Makefile-DOM
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Tokens representing ordinary white space
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Makefile/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone) >= 0.180.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(List::MoreUtils) >= 0.210.0
BuildRequires: perl(Params::Util) >= 0.220.0
BuildArch:  noarch

%description
The 'MDOM::Node' class provides an abstract base class for the Element
classes that are able to contain other elements the MDOM::Document manpage,
the MDOM::Statement manpage, and the MDOM::Structure manpage.

As well as those listed below, all of the methods that apply to the
MDOM::Element manpage objects also apply to 'MDOM::Node' objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
rm -f t/pod-coverage.t
%make_build test

%install
%make_install

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.8.0-6.mga9
+ Revision: 1804357
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-5.mga8
+ Revision: 1495539
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-4.mga7
+ Revision: 1269218
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1029522
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 968404
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 852217
- update to 0.008

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 739397
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.0-4.mga5
+ Revision: 685335
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 512745
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 369506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 0.6.0-1.mga2
+ Revision: 136610
- update to 0.006
- update to 0.005

* Fri Jan 28 2011 jquelin <jquelin> 0.4.0-1.mga1
+ Revision: 42934
- imported package perl-Makefile-DOM


* Fri Jan 28 2011 cpan2dist 0.004-1mdv
- initial mdv release, generated with cpan2dist
